Subject: Re: 5hp Compressor: Craftsman or DeVilbiss?

From: [email-masked] (Wayne Beardsley)
Date: Sat, 29 Mar 1997 05:44:10 GMT

I can't speak specifically to the Craftsman but I own the 5hp
DeVilbiss which I got for about the same price that you're
quoting.  As a matter of policy,  I've decided to not buy any
more Craftsman tools due to serious disappointments
with quality.

First, understand that neither of these units are even close
to being 5 horsepower.  That's an imaginary rating based
on totally unrealistic operating conditions.  The true HP
tracks closely with current drawn,  which puts both of these
units in the 1 to 1.5 HP range.

Next, understand that neither is rated for continuous
operation.  You won't find that out until you get the unit
home and read the fine print, but it's there.  My DeVilbiss
is rated at a 50% duty cycle so cut the cfm ratings in half
for serious, heavy duty work.

That said, the DeVilbiss is adequate for my ocassional
light duty needs.  It's OK for intermittent spraying and
infrequent light sanding.  It's way too small for pressure
washing or sandblasting.  It would be fine for powering
one or more pneumatic nailers.

Noise and starting current are horrendous which is
common to all of the oil less, direct drive models in
that power range.  My DeVilbiss absolutely refuses
to start on a 14 guage circuit without blowing the
breaker.  Short 12 ga circuits are OK.  It will not
start with a 3500 watt Honda generator,  at least
not when it's wired for 110 volts.  I may rewire it
for 220 just to see if that makes a difference.

In short, understand what your requirements are
before you buy.  For heavy duty, continuous operation
I'd recommend an Emglo unit, either gasoline powered,
or 220 volt in the 15 to 30 amp range.
=====================================================

"Bradley A. Stolzer" <[email-masked]> wrote:

>The DeVilbiss can be gotten for $269 at the local warehouse club.  The Sears
>equivalent costs $10 more.  Specs are similar.  Any reason to choose one over
>the other?  Either one particularly better quality?  Or are they equivalent.

>Thanks for your opinion.

>Brad